This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265617 - (CVE-2015-4506) CVE-2015-4506 Mozilla: Buffer overflow in libvpx while parsing vp9 format video (MFSA 2015-101)
CVE-2015-4506 Mozilla: Buffer overflow in libvpx while parsing vp9 format vid...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150922,repor...
: Security
Depends On:
Blocks: 1261782
  Show dependency treegraph
 
Reported: 2015-09-23 07:09 EDT by Prasad J Pandit
Modified: 2015-09-29 02:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-29 02:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-09-23 07:09:56 EDT
Security researcher Khalil Zhani reported that a maliciously crafted vp9
format video could be used to trigger a buffer overflow while parsing the
file. This leads to a potentially exploitable crash due to a flaw in the
libvpx library.

Reference:
----------
  -> https://bugzilla.mozilla.org/show_bug.cgi?id=1192226
  -> http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-4506
Comment 1 Martin Prpič 2015-09-24 08:33:02 EDT
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-101/

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Khalil Zhani as the original reporter.
Comment 2 errata-xmlrpc 2015-09-24 14:40:29 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1834 https://rhn.redhat.com/errata/RHSA-2015-1834.html

Note You need to log in before you can comment on or make changes to this bug.